Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#31067 closed Bug (invalid)

Python 3.7 crashes after trying to visit admin page on Windows and MacOS.

Reported by: Bruce Owned by: nobody
Component: Core (Other) Version: 3.0
Severity: Normal Keywords: macOS, admin, windows
Cc: Triage Stage: Unreviewed
Has patch: no Needs documentation: no
Needs tests: no Patch needs improvement: no
Easy pickings: no UI/UX: no

Description

Since version 3.0, when I navigate to the admin page in my browser (localhost:8000/admin), the Django process will stop with the exit code 245, and my Mac prints out a "Python has quit unexpectedly" message.

Here's the Message my Mac prints out:

Process:               Python [30595]
Path:                  /Library/Frameworks/Python.framework/Versions/3.7/Resources/Python.app/Contents/MacOS/Python
Identifier:            Python
Version:               3.7.0 (3.7.0)
Code Type:             X86-64 (Native)
Parent Process:        Python [30594]
Responsible:           pycharm [24467]
User ID:               501

Date/Time:             2019-12-05 18:29:20.199 +0100
OS Version:            Mac OS X 10.15.1 (19B88)
Report Version:        12
Bridge OS Version:     3.0 (14Y906)
Anonymous UUID:        B70FADC4-9F15-0C3C-F522-5624C3E225C0

Sleep/Wake UUID:       9F0B4C41-662F-41C3-864A-A3EA58D5346A

Time Awake Since Boot: 27000 seconds
Time Since Wake:       5700 seconds

System Integrity Protection: enabled

Crashed Thread:        2

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       EXC_I386_GPFLT
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [30595]

Thread 0:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff6e97b7e6 __select + 10
1   org.python.python             	0x000000010d332fc0 time_sleep + 128
2   org.python.python             	0x000000010d1ef995 _PyMethodDef_RawFastCallKeywords + 757
3   org.python.python             	0x000000010d1eedba _PyCFunction_FastCallKeywords + 42
4   org.python.python             	0x000000010d2ae5ae call_function + 782
5   org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
6   org.python.python             	0x000000010d1fd17e gen_send_ex + 206
7   org.python.python             	0x000000010d2a3447 builtin_next + 103
8   org.python.python             	0x000000010d1ef84e _PyMethodDef_RawFastCallKeywords + 430
9   org.python.python             	0x000000010d1eedba _PyCFunction_FastCallKeywords + 42
10  org.python.python             	0x000000010d2ae5ae call_function + 782
11  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
12  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
13  org.python.python             	0x000000010d2ae5bb call_function + 795
14  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
15  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
16  org.python.python             	0x000000010d2ae5bb call_function + 795
17  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
18  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
19  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
20  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
21  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
22  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
23  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
24  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
25  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
26  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
27  org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
28  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
29  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
30  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
31  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
32  org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
33  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
34  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
35  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
36  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
37  org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
38  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
39  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
40  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
41  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
42  org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
43  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
44  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
45  org.python.python             	0x000000010d2ae5bb call_function + 795
46  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
47  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
48  org.python.python             	0x000000010d2ae5bb call_function + 795
49  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
50  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
51  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
52  org.python.python             	0x000000010d2ae5bb call_function + 795
53  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
54  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
55  org.python.python             	0x000000010d2ae5bb call_function + 795
56  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
57  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
58  org.python.python             	0x000000010d2a5244 PyEval_EvalCode + 100
59  org.python.python             	0x000000010d2e2041 PyRun_FileExFlags + 209
60  org.python.python             	0x000000010d2e18eb PyRun_SimpleFileExFlags + 859
61  org.python.python             	0x000000010d2ff93c pymain_main + 8044
62  org.python.python             	0x000000010d2ffda1 _Py_UnixMain + 129
63  libdyld.dylib                 	0x00007fff6e82b2e5 start + 1

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff6e97c5be poll + 10
1   select.cpython-37m-darwin.so  	0x000000010d7c2a12 poll_poll + 466
2   org.python.python             	0x000000010d1ef93c _PyMethodDef_RawFastCallKeywords + 668
3   org.python.python             	0x000000010d1f5462 _PyMethodDescr_FastCallKeywords + 82
4   org.python.python             	0x000000010d2ae5e0 call_function + 832
5   org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
6   org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
7   org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
8   org.python.python             	0x000000010d2ae5bb call_function + 795
9   org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
10  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
11  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
12  org.python.python             	0x000000010d2ae5bb call_function + 795
13  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
14  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
15  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
16  org.python.python             	0x000000010d2ae5bb call_function + 795
17  org.python.python             	0x000000010d2ab6a7 _PyEval_EvalFrameDefault + 25479
18  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
19  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
20  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
21  org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
22  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
23  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
24  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
25  org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
26  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
27  org.python.python             	0x000000010d2ae5bb call_function + 795
28  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
29  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
30  org.python.python             	0x000000010d2ae5bb call_function + 795
31  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
32  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
33  org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
34  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
35  org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
36  org.python.python             	0x000000010d3346e7 t_bootstrap + 71
37  libsystem_pthread.dylib       	0x00007fff6ea37d36 _pthread_start + 125
38  libsystem_pthread.dylib       	0x00007fff6ea3458f thread_start + 15

Thread 2 Crashed:
0   org.python.python             	0x000000010d22c5aa pymalloc_alloc + 74
1   org.python.python             	0x000000010d22a412 _PyObject_Malloc + 18
2   org.python.python             	0x000000010d26aecc unicode_new + 524
3   org.python.python             	0x000000010d239972 type_call + 50
4   org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
5   org.python.python             	0x000000010d2ae492 call_function + 498
6   org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
7   org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
8   org.python.python             	0x000000010d2ae5bb call_function + 795
9   org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
10  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
11  org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
12  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
13  org.python.python             	0x000000010d23e0f1 slot_tp_init + 145
14  org.python.python             	0x000000010d239a69 type_call + 297
15  org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
16  org.python.python             	0x000000010d2ae492 call_function + 498
17  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
18  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
19  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
20  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
21  org.python.python             	0x000000010d23e0f1 slot_tp_init + 145
22  org.python.python             	0x000000010d239a69 type_call + 297
23  org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
24  org.python.python             	0x000000010d2ae492 call_function + 498
25  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
26  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
27  org.python.python             	0x000000010d2ae5bb call_function + 795
28  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
29  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
30  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
31  org.python.python             	0x000000010d2ae5bb call_function + 795
32  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
33  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
34  org.python.python             	0x000000010d2ae5bb call_function + 795
35  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
36  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
37  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
38  org.python.python             	0x000000010d2ae5bb call_function + 795
39  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
40  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
41  org.python.python             	0x000000010d2ae5bb call_function + 795
42  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
43  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
44  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
45  org.python.python             	0x000000010d2ae5bb call_function + 795
46  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
47  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
48  org.python.python             	0x000000010d2ae5bb call_function + 795
49  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
50  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
51  org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
52  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
53  org.python.python             	0x000000010d23e0f1 slot_tp_init + 145
54  org.python.python             	0x000000010d239a69 type_call + 297
55  org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
56  org.python.python             	0x000000010d2ae492 call_function + 498
57  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
58  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
59  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
60  org.python.python             	0x000000010d2ae5bb call_function + 795
61  org.python.python             	0x000000010d2ab6a7 _PyEval_EvalFrameDefault + 25479
62  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
63  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
64  org.python.python             	0x000000010d2ae5bb call_function + 795
65  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
66  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
67  org.python.python             	0x000000010d2ae5bb call_function + 795
68  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
69  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
70  org.python.python             	0x000000010d2ae5bb call_function + 795
71  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
72  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
73  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
74  org.python.python             	0x000000010d2ae5bb call_function + 795
75  org.python.python             	0x000000010d2ab6a7 _PyEval_EvalFrameDefault + 25479
76  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
77  org.python.python             	0x000000010d2ae5bb call_function + 795
78  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
79  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
80  org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
81  org.python.python             	0x000000010d1f6b1d property_descr_get + 173
82  org.python.python             	0x000000010d2283ba _PyObject_GenericGetAttrWithDict + 154
83  org.python.python             	0x000000010d2a9a72 _PyEval_EvalFrameDefault + 18258
84  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
85  org.python.python             	0x000000010d2ae5bb call_function + 795
86  org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
87  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
88  org.python.python             	0x000000010d2ae5bb call_function + 795
89  org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
90  org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
91  org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
92  org.python.python             	0x000000010d2ae5bb call_function + 795
93  org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
94  org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
95  org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
96  org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
97  org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
98  org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
99  org.python.python             	0x000000010d2ae492 call_function + 498
100 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
101 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
102 org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
103 org.python.python             	0x000000010d2ae5bb call_function + 795
104 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
105 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
106 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
107 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
108 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
109 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
110 org.python.python             	0x000000010d2ae492 call_function + 498
111 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
112 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
113 org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
114 org.python.python             	0x000000010d2ae5bb call_function + 795
115 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
116 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
117 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
118 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
119 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
120 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
121 org.python.python             	0x000000010d2ae492 call_function + 498
122 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
123 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
124 org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
125 org.python.python             	0x000000010d2ae5bb call_function + 795
126 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
127 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
128 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
129 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
130 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
131 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
132 org.python.python             	0x000000010d2ae492 call_function + 498
133 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
134 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
135 org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
136 org.python.python             	0x000000010d2ae5bb call_function + 795
137 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
138 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
139 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
140 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
141 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
142 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
143 org.python.python             	0x000000010d2ae492 call_function + 498
144 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
145 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
146 org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
147 org.python.python             	0x000000010d2ae5bb call_function + 795
148 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
149 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
150 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
151 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
152 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
153 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
154 org.python.python             	0x000000010d2ae492 call_function + 498
155 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
156 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
157 org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
158 org.python.python             	0x000000010d2ae5bb call_function + 795
159 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
160 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
161 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
162 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
163 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
164 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
165 org.python.python             	0x000000010d2ae492 call_function + 498
166 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
167 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
168 org.python.python             	0x000000010d1eed81 _PyFunction_FastCallKeywords + 257
169 org.python.python             	0x000000010d2ae5bb call_function + 795
170 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
171 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
172 org.python.python             	0x000000010d2ae5bb call_function + 795
173 org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
174 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
175 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
176 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
177 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
178 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
179 org.python.python             	0x000000010d2ae492 call_function + 498
180 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
181 org.python.python             	0x000000010d2af096 _PyEval_EvalCodeWithName + 2422
182 org.python.python             	0x000000010d1ee95b _PyFunction_FastCallDict + 523
183 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
184 org.python.python             	0x000000010d23ccb6 slot_tp_call + 150
185 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
186 org.python.python             	0x000000010d2ae492 call_function + 498
187 org.python.python             	0x000000010d2ab601 _PyEval_EvalFrameDefault + 25313
188 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
189 org.python.python             	0x000000010d2ae5bb call_function + 795
190 org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
191 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
192 org.python.python             	0x000000010d2ae5bb call_function + 795
193 org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
194 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
195 org.python.python             	0x000000010d2ae5bb call_function + 795
196 org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
197 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
198 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
199 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
200 org.python.python             	0x000000010d23e0f1 slot_tp_init + 145
201 org.python.python             	0x000000010d239a69 type_call + 297
202 org.python.python             	0x000000010d1eebd1 _PyObject_FastCallKeywords + 433
203 org.python.python             	0x000000010d2ae492 call_function + 498
204 org.python.python             	0x000000010d2ab560 _PyEval_EvalFrameDefault + 25152
205 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
206 org.python.python             	0x000000010d2ae5bb call_function + 795
207 org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
208 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
209 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
210 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
211 org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
212 org.python.python             	0x000000010d2ab871 _PyEval_EvalFrameDefault + 25937
213 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
214 org.python.python             	0x000000010d2ae5bb call_function + 795
215 org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
216 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
217 org.python.python             	0x000000010d2ae5bb call_function + 795
218 org.python.python             	0x000000010d2ab546 _PyEval_EvalFrameDefault + 25126
219 org.python.python             	0x000000010d1ef1f0 function_code_fastcall + 128
220 org.python.python             	0x000000010d1ee7e4 _PyFunction_FastCallDict + 148
221 org.python.python             	0x000000010d1efc2f _PyObject_Call_Prepend + 143
222 org.python.python             	0x000000010d1eeee7 PyObject_Call + 135
223 org.python.python             	0x000000010d3346e7 t_bootstrap + 71
224 libsystem_pthread.dylib       	0x00007fff6ea37d36 _pthread_start + 125
225 libsystem_pthread.dylib       	0x00007fff6ea3458f thread_start + 15

Thread 2 crashed with X86 Thread State (64-bit):
  rax: 0x000000010d580000  rbx: 0x0000000000000001  rcx: 0x676e697274732074  rdx: 0x000000010d3c1670
  rdi: 0x0000700007976d60  rsi: 0x000000010d3c1670  rbp: 0x0000700007976d50  rsp: 0x0000700007976d20
   r8: 0x0000700007976960   r9: 0x0000000000000001  r10: 0x0000000000000001  r11: 0xb0545e10d2d332b9
  r12: 0x0000000000000002  r13: 0x0000000000000001  r14: 0x0000700007976d60  r15: 0x0000000000000000
  rip: 0x000000010d22c5aa  rfl: 0x0000000000010202  cr2: 0x000000010d37fda2
  
Logical CPU:     2
Error Code:      0x00000000
Trap Number:     13


Binary Images:
       0x10d1cb000 -        0x10d1cbfff +org.python.python (3.7.0 - 3.7.0) <4B030EC4-815E-34B7-90E7-D0720C31E072> /Library/Frameworks/Python.framework/Versions/3.7/Resources/Python.app/Contents/MacOS/Python
       0x10d1ce000 -        0x10d3a4ff7 +org.python.python (3.7.0, [c] 2001-2018 Python Software Foundation. - 3.7.0) <4C64F346-20C8-3CBF-B1BD-134CC385C83F> /Library/Frameworks/Python.framework/Versions/3.7/Python
       0x10d753000 -        0x10d757fff +math.cpython-37m-darwin.so (0) <E18B0A65-B44F-3F1D-96A8-C29A7F794019> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/math.cpython-37m-darwin.so
       0x10d75e000 -        0x10d76cff7 +_datetime.cpython-37m-darwin.so (0) <96B5C955-7E6C-3CF9-B307-8C6ADFE919AE> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_datetime.cpython-37m-darwin.so
       0x10d777000 -        0x10d778fff +_heapq.cpython-37m-darwin.so (0) <E8B35F18-1B5A-3C9E-B1F4-0BE0432459A2> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_heapq.cpython-37m-darwin.so
       0x10d7bc000 -        0x10d7bdff7 +_posixsubprocess.cpython-37m-darwin.so (0) <0636949E-6CED-3FF2-B9FD-272A08A1BEEA> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_posixsubprocess.cpython-37m-darwin.so
       0x10d7c1000 -        0x10d7c3fff +select.cpython-37m-darwin.so (0) <869F8AE3-73B4-35C4-82CA-3D954FD00F78> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/select.cpython-37m-darwin.so
       0x10da12000 -        0x10da12ff7 +_opcode.cpython-37m-darwin.so (0) <11A650B3-FF7B-3DF1-81E2-A906553221C9> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_opcode.cpython-37m-darwin.so
       0x10dad5000 -        0x10dadeff7 +_socket.cpython-37m-darwin.so (0) <2ED26552-1156-396E-93EB-E190096E567D> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_socket.cpython-37m-darwin.so
       0x10daeb000 -        0x10daf8ff7 +_ssl.cpython-37m-darwin.so (0) <882A8463-F574-30B6-A0A6-2AE0CC05785F> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_ssl.cpython-37m-darwin.so
       0x10db09000 -        0x10db4aff7 +libssl.1.1.dylib (0) <13A15B8F-4D8A-39CA-B43F-738443A66D95> /Library/Frameworks/Python.framework/Versions/3.7/lib/libssl.1.1.dylib
       0x10db6b000 -        0x10dd476a7 +libcrypto.1.1.dylib (0) <F4D57673-8F11-3BDD-931C-705C9095746B> /Library/Frameworks/Python.framework/Versions/3.7/lib/libcrypto.1.1.dylib
       0x10de07000 -        0x10de0bfff +_struct.cpython-37m-darwin.so (0) <2379780F-4AB4-394B-B5AB-55A517D6627E> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_struct.cpython-37m-darwin.so
       0x10de14000 -        0x10de17ff7 +binascii.cpython-37m-darwin.so (0) <088500A1-3BAE-31D2-9F50-CD4708778D6A> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/binascii.cpython-37m-darwin.so
       0x10de1b000 -        0x10de1bff7 +_contextvars.cpython-37m-darwin.so (0) <BFABAB06-4010-3C23-9E3D-BF0705E87D09> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_contextvars.cpython-37m-darwin.so
       0x10de5e000 -        0x10de63ff7 +_asyncio.cpython-37m-darwin.so (0) <A2EFF2CA-9F6C-343B-87E4-70C115CAE6E5> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_asyncio.cpython-37m-darwin.so
       0x10deef000 -        0x10df33ff7 +_decimal.cpython-37m-darwin.so (0) <84654D81-C934-3938-B3D0-432E1D6D0E1B> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_decimal.cpython-37m-darwin.so
       0x10df92000 -        0x10df93ff7 +termios.cpython-37m-darwin.so (0) <A1A8F79D-1BA9-3217-961C-66720158D6A4> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/termios.cpython-37m-darwin.so
       0x10e069000 -        0x10e06bff7 +_hashlib.cpython-37m-darwin.so (0) <2AEB8626-9BAA-318E-B041-15914DAE6098> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_hashlib.cpython-37m-darwin.so
       0x10e070000 -        0x10e075ff7 +_blake2.cpython-37m-darwin.so (0) <307B827A-5804-3D9A-B975-65BE192D02EB> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_blake2.cpython-37m-darwin.so
       0x10e07a000 -        0x10e08afff +_sha3.cpython-37m-darwin.so (0) <565BB110-FFC3-36D5-A854-7D617A0A1107> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_sha3.cpython-37m-darwin.so
       0x10e090000 -        0x10e090ff7 +_bisect.cpython-37m-darwin.so (0) <A4FCF31A-2AA6-3EAC-AF46-2F2D10EC1AB1> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_bisect.cpython-37m-darwin.so
       0x10e093000 -        0x10e094ff7 +_random.cpython-37m-darwin.so (0) <CE043712-0C0E-3DA4-AAF2-35654CC67C6D> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_random.cpython-37m-darwin.so
       0x10e169000 -        0x10e16cff7 +zlib.cpython-37m-darwin.so (0) <CB41B121-E928-3213-92CE-7A26C3F668BF> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/zlib.cpython-37m-darwin.so
       0x10e1b2000 -        0x10e1b3ff7 +_bz2.cpython-37m-darwin.so (0) <382FBB0E-773D-3087-B299-0BA7E84EE925> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_bz2.cpython-37m-darwin.so
       0x10e1b7000 -        0x10e1e7ff7 +_lzma.cpython-37m-darwin.so (0) <9FA6A0AA-2744-3173-87D4-B1346E700996> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_lzma.cpython-37m-darwin.so
       0x10e1f1000 -        0x10e1f1ff7 +grp.cpython-37m-darwin.so (0) <7C368BF4-6AA8-3B5C-9E18-74281C3ECE9A> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/grp.cpython-37m-darwin.so
       0x10e1f4000 -        0x10e1f9fff +_json.cpython-37m-darwin.so (0) <15DD9506-43B8-3BAF-A0DE-2A23C18746D0> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_json.cpython-37m-darwin.so
       0x10e23e000 -        0x10e33bfff +unicodedata.cpython-37m-darwin.so (0) <24E54F7A-66F5-36C7-BD07-D8AAED82B232> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/unicodedata.cpython-37m-darwin.so
       0x10e413000 -        0x10e413fff +_uuid.cpython-37m-darwin.so (0) <4283C23E-E755-3642-9450-F25DED17AE4D> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_uuid.cpython-37m-darwin.so
       0x10e698000 -        0x10e699fff +fcntl.cpython-37m-darwin.so (0) <ADADACC0-C00C-3386-9709-CCB56A7C95E0> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/fcntl.cpython-37m-darwin.so
       0x10e7dd000 -        0x10e7f0ff7 +_pickle.cpython-37m-darwin.so (0) <EE441B9A-9F7A-319F-B223-BB8C247419E9> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_pickle.cpython-37m-darwin.so
       0x10e7fc000 -        0x10e7fdff7 +_queue.cpython-37m-darwin.so (0) <96B587F0-3902-3377-9E68-CAE6B521876C> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_queue.cpython-37m-darwin.so
       0x10eac1000 -        0x10eb8bfff +_sqlite3.cpython-37m-darwin.so (0) <56ADC430-4CB3-3DB6-A1EE-7C38626DA630> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_sqlite3.cpython-37m-darwin.so
       0x10ed71000 -        0x10ed71ff7 +_scproxy.cpython-37m-darwin.so (0) <CEB3C644-E218-3688-8111-7C84B3E11E12> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_scproxy.cpython-37m-darwin.so
       0x117070000 -        0x117100b5f  dyld (733.6) <DAFEA246-2F9A-3DCB-A37C-4246D4F92770> /usr/lib/dyld
    0x7fff330e7000 -     0x7fff330e7fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <956D070C-B522-3A08-891A-CAD6BA4082D1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff330ff000 -     0x7fff3376afdf  com.apple.vImage (8.1 - 524.2) <DCF3349F-1159-3F46-81E0-C18E041DC940> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff3376b000 -     0x7fff339d3fff  libBLAS.dylib (1303) <B950B953-116A-3C78-91A9-F983F61BC795> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff339d4000 -     0x7fff33cc3ff7  libBNNS.dylib (144.40.3) <BAE2A5E4-14A1-3C54-86DF-888FA26C745E> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff33cc5000 -     0x7fff3406afff  libLAPACK.dylib (1303) <5C248B39-F233-3074-A3A5-AF8F436FBF87> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff3406b000 -     0x7fff34080ff8  libLinearAlgebra.dylib (1303) <3AEC87AB-568C-3D88-959A-D6D8C2776FEC> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff34081000 -     0x7fff34086ff3  libQuadrature.dylib (7) <7EE59014-8FC5-3369-868B-8A87E590BF78> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff34087000 -     0x7fff340f7fff  libSparse.dylib (103) <093F97A4-47DE-38DF-BB7A-FF5A3FB0BB3B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff340f8000 -     0x7fff3410afef  libSparseBLAS.dylib (1303) <4536B3F7-7017-36F5-B500-1A63F691CE03> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff3410b000 -     0x7fff342e4ffb  libvDSP.dylib (735) <E849AEB0-2995-38A4-B0C3-4ACEAF434D12> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff342e5000 -     0x7fff343a0fd3  libvMisc.dylib (735) <18B48679-444E-3680-A9B2-006A8D1DE3EB> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff343a1000 -     0x7fff343a1fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <79C1A1C7-E97A-3B7A-8737-444B402A7AA0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff35ad8000 -     0x7fff35e4fffb  com.apple.CFNetwork (1120 - 1120) <5EA797F3-2F7A-3E0C-8DBC-DBE145004EC5> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff37317000 -     0x7fff37796fe7  com.apple.CoreFoundation (6.9 - 1673.126) <15D61616-B29B-3BDB-8624-4B84A4956485> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff38704000 -     0x7fff38704fff  com.apple.CoreServices (1069.11 - 1069.11) <C8F86BE7-AAED-30A6-BBC2-550446137E7C> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff38705000 -     0x7fff3878aff7  com.apple.AE (838 - 838) <3301AF1B-D178-306A-9641-B57AA03FB1BE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff3878b000 -     0x7fff38a6cfff  com.apple.CoreServices.CarbonCore (1217 - 1217) <FAA1467B-6D39-3EBE-9810-A4DF49478F10> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff38a6d000 -     0x7fff38abaffd  com.apple.DictionaryServices (1.2 - 323) <C1798F09-36D3-3C8E-AF72-A3DE63962AF1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff38abb000 -     0x7fff38ac3fff  com.apple.CoreServices.FSEvents (1268.40.5 - 1268.40.5) <9BB76885-7CD7-3369-B759-33F7E5DA5392> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff38ac4000 -     0x7fff38cfdff0  com.apple.LaunchServices (1069.11 - 1069.11) <88F59BD5-412A-35EE-AD45-E6BF80B24891> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff38cfe000 -     0x7fff38d96ff9  com.apple.Metadata (10.7.0 - 2074.4) <028AC15A-35B7-3E1F-BCDC-470C8EA0CA09> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff38d97000 -     0x7fff38dc4ff7  com.apple.CoreServices.OSServices (1069.11 - 1069.11) <A667F007-A599-3869-99F7-1F8460011015> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff38dc5000 -     0x7fff38e2cfff  com.apple.SearchKit (1.4.1 - 1.4.1) <F0A931E4-0C31-36BA-8DD7-01FDF9813FB7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff38e2d000 -     0x7fff38e51ffd  com.apple.coreservices.SharedFileList (131 - 131) <62C3066A-3991-313F-AE2D-75B2B5934D52> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff396a2000 -     0x7fff396a8ff7  com.apple.DiskArbitration (2.7 - 2.7) <A3D2B0A0-3C72-3893-87BF-D45FE398A905> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff399da000 -     0x7fff39da1ff4  com.apple.Foundation (6.9 - 1673.126) <470C2315-3047-39BB-BB6B-2C620087091C> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff3a117000 -     0x7fff3a1baffb  com.apple.framework.IOKit (2.0.2 - 1726.41.1) <FBB4A97B-D7CF-3B8C-932D-672343D63260> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff3da22000 -     0x7fff3da2effe  com.apple.NetFS (6.0 - 4.0) <5C3C3672-2549-316E-9AC6-A1CFDCD16E9C> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff405f4000 -     0x7fff40610fff  com.apple.CFOpenDirectory (10.15 - 220.40.1) <AA81FC34-A7F6-3DA2-A275-B34F75099C7B> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff40611000 -     0x7fff4061cfff  com.apple.OpenDirectory (10.15 - 220.40.1) <ECFA2FFB-D5B6-3916-96F7-9F3A1EB1E534> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff43962000 -     0x7fff43ca8ff6  com.apple.security (7.0 - 59306.41.2) <FB3774D5-C940-35FB-960A-86253A01BDAE> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff43ca9000 -     0x7fff43d31ff7  com.apple.securityfoundation (6.0 - 55236) <6482C994-4DB4-320D-8FD4-50C998EA8856> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff43d8b000 -     0x7fff43d8fff8  com.apple.xpc.ServiceManagement (1.0 - 1) <2B80E13A-AFFC-355A-AA82-CCDEF4718E66> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff44b1c000 -     0x7fff44b86ff7  com.apple.SystemConfiguration (1.19 - 1.19) <A52A533D-DA25-3607-A18E-CA7C539E1C52> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff488e2000 -     0x7fff489a6fef  com.apple.APFS (1412.41.1 - 1412.41.1) <0319F563-43AE-3F80-9107-7F0056E726DB> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff4a5f4000 -     0x7fff4a603fdf  com.apple.AppleFSCompression (119 - 1.0) <7EEDBF8A-8812-33D6-A5B0-F7D36825EE73> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff4bda6000 -     0x7fff4bdafff3  com.apple.coreservices.BackgroundTaskManagement (1.0 - 104) <5E2B9000-49D6-3BFA-97F1-3B47A8A7418D> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff4eb27000 -     0x7fff4eb37ff3  com.apple.CoreEmoji (1.0 - 107) <8D1CA277-C4F7-3F3B-919E-73B68D39535E> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff4f188000 -     0x7fff4f1f2ff8  com.apple.CoreNLP (1.0 - 213) <329A9840-CBD8-33A2-A584-2805042284A9> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
    0x7fff4fe0d000 -     0x7fff4fe3bff7  com.apple.CSStore (1069.11 - 1069.11) <792520D2-5D81-3867-8DC7-75F8205D5A5B> /System/Library/PrivateFrameworks/CoreServicesStore.framework/Versions/A/CoreServicesStore
    0x7fff5bf27000 -     0x7fff5bff5ff5  com.apple.LanguageModeling (1.0 - 215) <D3478ED9-A757-355F-A4A0-464E133182D6> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff5bff6000 -     0x7fff5c03eff7  com.apple.Lexicon-framework (1.0 - 72) <94910CCB-C386-3912-84A2-1A730BB6EF62> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff5c045000 -     0x7fff5c049ff6  com.apple.LinguisticData (1.0 - 353) <23AF4473-4FDB-39D9-8862-7D23276606A9> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff5d39a000 -     0x7fff5d3e6ff7  com.apple.spotlight.metadata.utilities (1.0 - 2074.4) <8957F147-9371-3728-896E-FC517AC7E86E> /System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities
    0x7fff5de0d000 -     0x7fff5de17fff  com.apple.NetAuth (6.2 - 6.2) <BA114B8C-BE33-3DBB-BDC8-25423DBBD3A3> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff66b01000 -     0x7fff66b11ff3  com.apple.TCC (1.0 - 1) <87BE8D5C-5D35-3434-8BDF-1615349C7A21> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff6ad6e000 -     0x7fff6ad70ff3  com.apple.loginsupport (1.0 - 1) <FFE90A0A-BEBC-3032-9368-94C016BE0795> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff6b0df000 -     0x7fff6b114ff7  libCRFSuite.dylib (48) <CDEA70A4-318B-3990-9AAE-1D7B18132760> /usr/lib/libCRFSuite.dylib
    0x7fff6b117000 -     0x7fff6b121ff3  libChineseTokenizer.dylib (34) <4D68248B-BD40-32E3-ABCA-CE23BCA0A6A4> /usr/lib/libChineseTokenizer.dylib
    0x7fff6b1ae000 -     0x7fff6b1b0fff  libDiagnosticMessagesClient.dylib (112) <83F42398-DB41-3BB2-B8A1-10D78C4B5778> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff6b676000 -     0x7fff6b677ff3  libSystem.B.dylib (1281) <1DD1BCD2-2C85-3B81-8CAF-224FB042F441> /usr/lib/libSystem.B.dylib
    0x7fff6b707000 -     0x7fff6b708fff  libThaiTokenizer.dylib (3) <22582C9C-3D32-3832-8925-813E4F2BA8DA> /usr/lib/libThaiTokenizer.dylib
    0x7fff6b720000 -     0x7fff6b736fff  libapple_nghttp2.dylib (1.39.2) <9B990E6A-D9EB-3F2C-B7CA-085A47D4BC62> /usr/lib/libapple_nghttp2.dylib
    0x7fff6b76b000 -     0x7fff6b7ddff7  libarchive.2.dylib (72.40.2) <25C00824-621A-3FF1-9B6C-52999B6DDF4E> /usr/lib/libarchive.2.dylib
    0x7fff6b878000 -     0x7fff6b878ff3  libauto.dylib (187) <F4B3519A-A4FC-30E0-805C-70C99BA3FDDA> /usr/lib/libauto.dylib
    0x7fff6b936000 -     0x7fff6b946fff  libbsm.0.dylib (60) <E57A0CC6-226D-3529-A23A-D5DD6674DB3E> /usr/lib/libbsm.0.dylib
    0x7fff6b947000 -     0x7fff6b953fff  libbz2.1.0.dylib (44) <F3D26C17-BC6E-3A83-A3BB-137343C87303> /usr/lib/libbz2.1.0.dylib
    0x7fff6b954000 -     0x7fff6b9a7fff  libc++.1.dylib (800.7) <1D42387D-206A-3F06-9B5F-705B83EAC295> /usr/lib/libc++.1.dylib
    0x7fff6b9a8000 -     0x7fff6b9bcfff  libc++abi.dylib (800.7) <D89ABFBF-3754-35AB-BAEE-FBF14857F79B> /usr/lib/libc++abi.dylib
    0x7fff6b9bd000 -     0x7fff6b9bdffb  libcharset.1.dylib (59) <EC5B95D9-388B-3351-9192-CD6CDB8C3E0F> /usr/lib/libcharset.1.dylib
    0x7fff6b9be000 -     0x7fff6b9cfffb  libcmph.dylib (8) <49C8E101-945E-369B-91D3-2129000DFF35> /usr/lib/libcmph.dylib
    0x7fff6b9d0000 -     0x7fff6b9e7fe7  libcompression.dylib (87) <77B35FFD-CE66-3CCA-BEDD-9771D698CEE3> /usr/lib/libcompression.dylib
    0x7fff6bcb4000 -     0x7fff6bccafff  libcoretls.dylib (167) <4F054E37-783A-3FCD-B90B-23A0A83621D9> /usr/lib/libcoretls.dylib
    0x7fff6bccb000 -     0x7fff6bcccffb  libcoretls_cfhelpers.dylib (167) <62E31BC8-A823-3816-B130-2BB550433203> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff6c3f5000 -     0x7fff6c3f5ff3  libenergytrace.dylib (21) <1CE2BD78-F68E-36A3-BCE9-E9EAB78D9FF3> /usr/lib/libenergytrace.dylib
    0x7fff6c41d000 -     0x7fff6c41fff7  libfakelink.dylib (149) <528A0ABE-B583-3DA1-8E5B-9CA7E89303DE> /usr/lib/libfakelink.dylib
    0x7fff6c42e000 -     0x7fff6c433fff  libgermantok.dylib (24) <5E297121-22A7-3A2F-92B9-DD3E5C829CC7> /usr/lib/libgermantok.dylib
    0x7fff6c43e000 -     0x7fff6c52eff7  libiconv.2.dylib (59) <EB71AC8F-EA44-3BEE-A210-2D92251CA51D> /usr/lib/libiconv.2.dylib
    0x7fff6c52f000 -     0x7fff6c787ff7  libicucore.A.dylib (64243.0.1) <4CBF52D7-7235-34C8-9FF1-8657076B604F> /usr/lib/libicucore.A.dylib
    0x7fff6c7a1000 -     0x7fff6c7a2fff  liblangid.dylib (133) <DCC4FA36-0563-3BD2-AE35-9BAF52F5BD98> /usr/lib/liblangid.dylib
    0x7fff6c7a3000 -     0x7fff6c7bbffb  liblzma.5.dylib (16) <7D2522C8-8CBE-32C9-8743-A8F598602F4C> /usr/lib/liblzma.5.dylib
    0x7fff6c7d3000 -     0x7fff6c87afff  libmecab.dylib (883) <FDA0E623-F6F2-3402-B72C-0C60A32C2CC1> /usr/lib/libmecab.dylib
    0x7fff6c87b000 -     0x7fff6cadbff9  libmecabra.dylib (883) <2E84458F-5748-3A9B-94F3-CAF3C79E6383> /usr/lib/libmecabra.dylib
    0x7fff6cfa5000 -     0x7fff6d417ff4  libnetwork.dylib (1880.40.26) <D8C5B7F0-04D5-3470-A9C4-EF8B2FF96986> /usr/lib/libnetwork.dylib
    0x7fff6d4b6000 -     0x7fff6d4e7ff6  libobjc.A.dylib (781) <D866A31E-5CB1-3327-8D22-C4F83C9225D0> /usr/lib/libobjc.A.dylib
    0x7fff6d4fa000 -     0x7fff6d4fefff  libpam.2.dylib (25) <02ABA04D-5843-3850-82A3-EBECA6FC2CDF> /usr/lib/libpam.2.dylib
    0x7fff6d501000 -     0x7fff6d534ff7  libpcap.A.dylib (89.40.2) <C4F9F5BD-BA21-3038-9665-4D298FB7511C> /usr/lib/libpcap.A.dylib
    0x7fff6d62a000 -     0x7fff6d817ff7  libsqlite3.dylib (308.4) <2D0B1BE5-9B8A-394F-82F7-F612B1A6C73F> /usr/lib/libsqlite3.dylib
    0x7fff6da68000 -     0x7fff6da6bffb  libutil.dylib (57) <B88D4C21-DAEF-3566-8EAE-5973C51A16FD> /usr/lib/libutil.dylib
    0x7fff6da6c000 -     0x7fff6da79fff  libxar.1.dylib (420) <46AAA43E-6FC6-38A8-B696-62143706D33B> /usr/lib/libxar.1.dylib
    0x7fff6da7f000 -     0x7fff6db61ff7  libxml2.2.dylib (32.12) <0DB777D9-F9A1-3921-BFCE-05A000293915> /usr/lib/libxml2.2.dylib
    0x7fff6db65000 -     0x7fff6db8dfff  libxslt.1.dylib (16.7) <C30A840F-E7E7-39D5-A633-9C256650B552> /usr/lib/libxslt.1.dylib
    0x7fff6db8e000 -     0x7fff6dba0fff  libz.1.dylib (76) <3EC7A143-AF2D-35EE-9C08-542B2907E3D2> /usr/lib/libz.1.dylib
    0x7fff6e606000 -     0x7fff6e60bff7  libcache.dylib (83) <74F6459D-3606-3ADB-9808-F6B0FE70062D> /usr/lib/system/libcache.dylib
    0x7fff6e60c000 -     0x7fff6e617ff7  libcommonCrypto.dylib (60165) <1333752F-5117-3E86-803A-06E166D80C8C> /usr/lib/system/libcommonCrypto.dylib
    0x7fff6e618000 -     0x7fff6e61ffff  libcompiler_rt.dylib (101.2) <0437EBEF-8191-3912-A365-D6BB75C7A810> /usr/lib/system/libcompiler_rt.dylib
    0x7fff6e620000 -     0x7fff6e629fff  libcopyfile.dylib (166.40.1) <7FAF372E-BAD5-30E6-A8F2-A3D06B91DC80> /usr/lib/system/libcopyfile.dylib
    0x7fff6e62a000 -     0x7fff6e6c1fef  libcorecrypto.dylib (866.40.8) <AE25C9EE-5D63-3E49-B3AA-D482D35C085A> /usr/lib/system/libcorecrypto.dylib
    0x7fff6e7d8000 -     0x7fff6e819ff0  libdispatch.dylib (1173.40.5) <1FF421B6-4BF0-3B5F-8F56-5ED3B3EFE06F> /usr/lib/system/libdispatch.dylib
    0x7fff6e81a000 -     0x7fff6e84ffff  libdyld.dylib (733.6) <2FA4B359-624B-337C-9207-CDCF841C2E52> /usr/lib/system/libdyld.dylib
    0x7fff6e850000 -     0x7fff6e850ffb  libkeymgr.dylib (30) <7EEF9246-30B4-34DD-8AD6-79679D1A7784> /usr/lib/system/libkeymgr.dylib
    0x7fff6e851000 -     0x7fff6e85dff7  libkxld.dylib (6153.41.3) <F9FF90CE-DCB0-3918-882F-6E475A6E244A> /usr/lib/system/libkxld.dylib
    0x7fff6e85e000 -     0x7fff6e85eff7  liblaunch.dylib (1738.40.10) <CC02D5B3-A95D-3B16-8EE5-D62521CFE899> /usr/lib/system/liblaunch.dylib
    0x7fff6e85f000 -     0x7fff6e864ff7  libmacho.dylib (949.0.1) <6C3E49B2-594D-3B9D-82DB-C4ABEB9788AB> /usr/lib/system/libmacho.dylib
    0x7fff6e865000 -     0x7fff6e867ff3  libquarantine.dylib (110.40.3) <A1BCAA32-A194-3DBE-9930-8F49A4AEF284> /usr/lib/system/libquarantine.dylib
    0x7fff6e868000 -     0x7fff6e869ff7  libremovefile.dylib (48) <DD7AE862-F179-3C07-A4FC-5775DDD4D3E6> /usr/lib/system/libremovefile.dylib
    0x7fff6e86a000 -     0x7fff6e881fff  libsystem_asl.dylib (377.40.1) <ECE44856-D279-3B5D-A0AA-8BE421D200C4> /usr/lib/system/libsystem_asl.dylib
    0x7fff6e882000 -     0x7fff6e882fff  libsystem_blocks.dylib (74) <DC521115-905A-3A0D-9337-C55FACCEA85F> /usr/lib/system/libsystem_blocks.dylib
    0x7fff6e883000 -     0x7fff6e90aff7  libsystem_c.dylib (1353.41.1) <5AD50779-955E-3F56-BCB9-1E14833B3455> /usr/lib/system/libsystem_c.dylib
    0x7fff6e90b000 -     0x7fff6e90efff  libsystem_configuration.dylib (1061.40.2) <7A2329E0-3C84-3DB7-BC32-E7796C50D621> /usr/lib/system/libsystem_configuration.dylib
    0x7fff6e90f000 -     0x7fff6e912ff7  libsystem_coreservices.dylib (114) <DF341577-A307-3722-BB24-D4AACEAB19B3> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff6e913000 -     0x7fff6e91afff  libsystem_darwin.dylib (1353.41.1) <E862B5B1-A367-39CA-8319-B2F9DFADF606> /usr/lib/system/libsystem_darwin.dylib
    0x7fff6e91b000 -     0x7fff6e922ffb  libsystem_dnssd.dylib (1096.40.7) <2A9C6F3E-427B-332E-BDD3-D4651306F3DE> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff6e923000 -     0x7fff6e924ffb  libsystem_featureflags.dylib (17) <B94C0052-B75A-3169-80AA-5F480588AF6E> /usr/lib/system/libsystem_featureflags.dylib
    0x7fff6e925000 -     0x7fff6e972ff7  libsystem_info.dylib (538) <18CC56C5-5325-3375-BF99-FAE7F4F19DDD> /usr/lib/system/libsystem_info.dylib
    0x7fff6e973000 -     0x7fff6e99fff7  libsystem_kernel.dylib (6153.41.3) <18918E9C-45BC-3D5A-A6B6-3DBC60EEE2E1> /usr/lib/system/libsystem_kernel.dylib
    0x7fff6e9a0000 -     0x7fff6e9e7ff7  libsystem_m.dylib (3178) <636A1A1C-7AFC-3E82-B86B-0173912A3437> /usr/lib/system/libsystem_m.dylib
    0x7fff6e9e8000 -     0x7fff6ea0fff7  libsystem_malloc.dylib (283.40.1) <F82A587B-44A2-3699-A218-9D3ECEE23D5A> /usr/lib/system/libsystem_malloc.dylib
    0x7fff6ea10000 -     0x7fff6ea1dff3  libsystem_networkextension.dylib (1095.40.22) <7F206A43-A941-3BAB-AE3A-16169F2FE6AB> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff6ea1e000 -     0x7fff6ea27fff  libsystem_notify.dylib (241) <C95CC58E-35E7-3828-AA2A-6EED73C12DE5> /usr/lib/system/libsystem_notify.dylib
    0x7fff6ea28000 -     0x7fff6ea31fe7  libsystem_platform.dylib (220) <0CCDD81F-0891-3400-8A97-6CAC3BBBE2F9> /usr/lib/system/libsystem_platform.dylib
    0x7fff6ea32000 -     0x7fff6ea3cff7  libsystem_pthread.dylib (416.40.3) <53C65598-9E9E-36FF-BDC2-74F228E58C5C> /usr/lib/system/libsystem_pthread.dylib
    0x7fff6ea3d000 -     0x7fff6ea41ffb  libsystem_sandbox.dylib (1217.41.1) <2183D15E-2CFD-3160-80CE-A948F0529005> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff6ea42000 -     0x7fff6ea44fff  libsystem_secinit.dylib (62.40.2) <D2782294-ACDC-30FF-A794-B4C1B324526B> /usr/lib/system/libsystem_secinit.dylib
    0x7fff6ea45000 -     0x7fff6ea4cffb  libsystem_symptoms.dylib (1238.40.4) <A44E4405-E22E-32E9-83DE-8C7A82401DA0> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff6ea4d000 -     0x7fff6ea63ff2  libsystem_trace.dylib (1147.40.13) <376CC435-E656-37D9-A5FF-C49B6E4525E2> /usr/lib/system/libsystem_trace.dylib
    0x7fff6ea65000 -     0x7fff6ea6affb  libunwind.dylib (35.4) <44448F1F-08E5-3425-ADBA-C38A9E8F90C7> /usr/lib/system/libunwind.dylib
    0x7fff6ea6b000 -     0x7fff6ea9fff6  libxpc.dylib (1738.40.10) <99CC9436-D653-3762-ADBB-9054EBD1BA2B> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 93813
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=427.6M resident=0K(0%) swapped_out_or_unallocated=427.6M(100%)
Writable regions: Total=87.8M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=87.8M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Kernel Alloc Once                    8K        1 
MALLOC                            61.3M      111 
MALLOC guard page                   16K        4 
MALLOC_LARGE (reserved)            128K        1         reserved VM address space (unallocated)
STACK GUARD                         12K        3 
Stack                             26.0M        3 
__DATA                            6998K      156 
__DATA_CONST                        20K        1 
__LINKEDIT                       354.8M       37 
__OBJC_RO                         32.0M        1 
__OBJC_RW                         1776K        1 
__TEXT                            72.8M      154 
__UNICODE                          564K        1 
shared memory                       12K        3 
===========                     =======  ======= 
TOTAL                            556.2M      477 
TOTAL, minus reserved VM space   556.1M      477 

Model: MacBookPro13,2, BootROM 262.0.0.0.0, 2 processors, Dual-Core Intel Core i5, 2,9 GHz, 16 GB, SMC 2.37f21
Graphics: kHW_IntelIrisGraphics550Item, Intel Iris Graphics 550, spdisplays_builtin
Memory Module: BANK 0/DIMM0, 8 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C31473332443450472D30393320
Memory Module: BANK 1/DIMM0, 8 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C31473332443450472D30393320
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x157), Broadcom BCM43xx 1.0 (7.77.106.3 AirPortDriverBrcmNIC-1435.3)
Bluetooth: Version 7.0.1f1, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
USB Device: USB 3.0 Bus
USB Device: Apple T1 Controller
Thunderbolt Bus: MacBook Pro, Apple Inc., 41.1
Thunderbolt Bus: MacBook Pro, Apple Inc., 41.1

When I downgrade back to 2.2 it works.
I started the project on 3.0 yesterday, haven't seen the bug before.

Change History (7)

comment:1 Changed 2 years ago by Tammo Heeren

This seems to happen on windows as well.

Python 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:06:47) [MSC v.1914 32 bit (Intel)] on win32
Django 3.0

Admin access to http://127.0.0.1:8000/admin/ causes an

Process finished with exit code -1

with no further details given.

Access to two levels deeper http://127.0.0.1:8000/admin/app/item/

results in the expected output.

comment:2 Changed 2 years ago by Simon Charette

Are you able to reproduce with the latest Python 3.7.x release? That is 3.7.5 at the time of writing this comment.

A few segfaults were fixed in the 3.7 series since the first release and Django only supports the latest micro release.

comment:3 Changed 2 years ago by Mariusz Felisiak

Keywords: windows added
Resolution: invalid
Severity: Release blockerNormal
Status: newclosed

Agreed, this looks like a bug in Python 3.7.0. It works for me on Windows with Python 3.7.3.

comment:4 Changed 2 years ago by Mariusz Felisiak

Component: contrib.adminCore (Other)
Summary: Python crashes after trying to visit admin page with exit code 245Python crashes after trying to visit admin page on Windows and MacOS.

comment:5 Changed 2 years ago by Mariusz Felisiak

Summary: Python crashes after trying to visit admin page on Windows and MacOS.Python 3.7 crashes after trying to visit admin page on Windows and MacOS.

comment:6 Changed 2 years ago by Baptiste Mispelon

I can confirm that I can reproduce the crash with Python 3.7.0 but it's fixed with 3.7.1.

comment:7 Changed 2 years ago by Bruce

Can confirm, after upgrading python it worked on my machine as well.

Note: See TracTickets for help on using tickets.
Back to Top